List messages
curl --request GET \
--url https://api.messages.dev/v1/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.messages.dev/v1/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.messages.dev/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messages.dev/v1/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.messages.dev/v1/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.messages.dev/v1/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.messages.dev/v1/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"line_id": "<string>",
"chat_id": "<string>",
"guid": "<string>",
"sender": "<string>",
"text": "<string>",
"attachments": [
{
"filename": "<string>",
"mime_type": "<string>",
"size": 123,
"url": "<string>",
"transcription": "<string>"
}
],
"service": "<string>",
"is_from_me": true,
"is_audio_message": true,
"sent_at": 123,
"synced_at": 123,
"outbox_id": "<string>",
"reply_to_guid": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"request_id": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "missing_required_parameter",
"message": "The 'from' query parameter is required.",
"param": "from"
},
"request_id": "req_abc123"
}{
"error": {
"type": "authentication_error",
"code": "missing_api_key",
"message": "Missing Authorization header. Use 'Authorization: Bearer sk_live_...'"
},
"request_id": "req_abc123"
}{
"error": {
"type": "not_found_error",
"code": "line_not_found",
"message": "Line not found.",
"param": "from"
},
"request_id": "req_abc123"
}Messages
List messages
Returns messages in a chat, ordered by most recent first. Supports cursor-based pagination.
GET
/
v1
/
messages
List messages
curl --request GET \
--url https://api.messages.dev/v1/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.messages.dev/v1/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.messages.dev/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messages.dev/v1/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.messages.dev/v1/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.messages.dev/v1/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.messages.dev/v1/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"line_id": "<string>",
"chat_id": "<string>",
"guid": "<string>",
"sender": "<string>",
"text": "<string>",
"attachments": [
{
"filename": "<string>",
"mime_type": "<string>",
"size": 123,
"url": "<string>",
"transcription": "<string>"
}
],
"service": "<string>",
"is_from_me": true,
"is_audio_message": true,
"sent_at": 123,
"synced_at": 123,
"outbox_id": "<string>",
"reply_to_guid": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"request_id": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "missing_required_parameter",
"message": "The 'from' query parameter is required.",
"param": "from"
},
"request_id": "req_abc123"
}{
"error": {
"type": "authentication_error",
"code": "missing_api_key",
"message": "Missing Authorization header. Use 'Authorization: Bearer sk_live_...'"
},
"request_id": "req_abc123"
}{
"error": {
"type": "not_found_error",
"code": "line_not_found",
"message": "Line not found.",
"param": "from"
},
"request_id": "req_abc123"
}Authorizations
Use an API key as a bearer token: Authorization: Bearer sk_live_...
Each key has a set of scopes that gate which endpoints it can call:
messages:read, messages:write, chats:read, lines:read,
reactions:read, reactions:write, typing:read, typing:write,
receipts:read, receipts:write, webhooks:read, webhooks:write,
outbox:read, files:read, files:write. Keys can also be restricted
to a subset of lines.
Query Parameters
Line handle (phone number or Apple ID)
Example:
"+15551234567"
Chat identifier (phone number, Apple ID, or chat ID)
Example:
"+15559876543"
Maximum number of items to return (1-100, default: 50)
Required range:
1 <= x <= 100Opaque cursor for pagination. Use the next_cursor value from a previous response.